View Issue Details

IDProjectCategoryView StatusLast Update
0005561Talerbank (demonstrator)public2019-02-17 22:25
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005561: Return 400 (bad json) if wrong currency is specified.
DescriptionIf the call to /admin/add/incoming carries a valid JSON with just a unsupported currency, then the bank returns 400 status code as if the JSON was malformed/wrong. This is not descriptive of the situation, and so a dedicated status code should be picked up. If such a status code won't be found, then at least a new *Taler* error code should be defined and embedded in the response body.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-02-13 15:51

manager   ~0013702

fixed in 6789efe..a3edc34. Wrong currency operations in /admin/add/incoming now trigger a 406 Not Acceptable response code.

Issue History

Date Modified Username Field Change
2019-02-12 16:18 Marcello Stanisci New Issue
2019-02-12 16:18 Marcello Stanisci Status new => assigned
2019-02-12 16:18 Marcello Stanisci Assigned To => Marcello Stanisci
2019-02-13 15:51 Marcello Stanisci Status assigned => resolved
2019-02-13 15:51 Marcello Stanisci Resolution open => fixed
2019-02-13 15:51 Marcello Stanisci Note Added: 0013702
2019-02-17 22:25 Christian Grothoff Product Version => SVN HEAD
2019-02-17 22:25 Christian Grothoff Fixed in Version => 0.6
2019-02-17 22:25 Christian Grothoff Target Version => 0.6